## com.lowagie.text.pdf.codec.postscript
Class JavaCharStream

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.JavaCharStream

    public final class JavaCharStream

extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).

Field Summary
`(package private) int` `available`
`private int[]` `bufcolumn`
`private char[]` `buffer`
`private int[]` `bufline`
`int` `bufpos`
`(package private) int` `bufsize`
`private int` `column`
`private int` `inBuf`
`private java.io.Reader` `inputStream`
`private int` `line`
`private int` `maxNextCharInd`
`private char[]` `nextCharBuf`
`private int` `nextCharInd`
`private boolean` `prevCharIsCR`
`private boolean` `prevCharIsLF`
`static boolean` `staticFlag`
`(package private) int` `tokenBegin`

Constructor Summary
`JavaCharStream(java.io.InputStream dstream)`
`JavaCharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`JavaCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`JavaCharStream(java.io.Reader dstream)`
`JavaCharStream(java.io.Reader dstream, int startline, int startcolumn)`
`JavaCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`private void` `AdjustBuffSize()`
`void` `backup(int amount)`
`char` `BeginToken()`
`void` `Done()`
`private void` `ExpandBuff(boolean wrapAround)`
`private void` `FillBuff()`
`int` `getBeginColumn()`
`int` `getBeginLine()`
`int` `getColumn()` Deprecated.
`int` `getEndColumn()`
`int` `getEndLine()`
`java.lang.String` `GetImage()`
`int` `getLine()` Deprecated.
`char[]` `GetSuffix(int len)`
`(package private) static int` `hexval(char c)`
`private char` `ReadByte()`
`char` `readChar()`
`void` `ReInit(java.io.InputStream dstream)`
`void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn)`
`void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` `ReInit(java.io.Reader dstream)`
`void` `ReInit(java.io.Reader dstream, int startline, int startcolumn)`
`void` `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`
`private void` `UpdateLineColumn(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufpos

    public int bufpos

### bufsize

    int bufsize

### available

    int available

### tokenBegin

    int tokenBegin

### bufline

    private int[] bufline

### bufcolumn

    private int[] bufcolumn

### column

    private int column

### line

    private int line

### prevCharIsCR

    private boolean prevCharIsCR

### prevCharIsLF

    private boolean prevCharIsLF

### inputStream

    private java.io.Reader inputStream

### nextCharBuf

    private char[] nextCharBuf

### buffer

    private char[] buffer

### maxNextCharInd

    private int maxNextCharInd

### nextCharInd

    private int nextCharInd

### inBuf

    private int inBuf

Constructor Detail

### JavaCharStream

    public JavaCharStream(java.io.Reader dstream,
                          int startline,
                          int startcolumn,
                          int buffersize)

### JavaCharStream

    public JavaCharStream(java.io.Reader dstream,
                          int startline,
                          int startcolumn)

### JavaCharStream

    public JavaCharStream(java.io.Reader dstream)

### JavaCharStream

    public JavaCharStream(java.io.InputStream dstream,
                          int startline,
                          int startcolumn,
                          int buffersize)

### JavaCharStream

    public JavaCharStream(java.io.InputStream dstream,
                          int startline,
                          int startcolumn)

### JavaCharStream

    public JavaCharStream(java.io.InputStream dstream)

Method Detail

### hexval

    static final int hexval(char c)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### ExpandBuff

    private final void ExpandBuff(boolean wrapAround)

### FillBuff

    private final void FillBuff()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### ReadByte

    private final char ReadByte()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### BeginToken

    public final char BeginToken()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### AdjustBuffSize

    private final void AdjustBuffSize()

### UpdateLineColumn

    private final void UpdateLineColumn(char c)

### readChar

    public final char readChar()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumn

    public final int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public final int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public final int getEndColumn()

### getEndLine

    public final int getEndLine()

### getBeginColumn

    public final int getBeginColumn()

### getBeginLine

    public final int getBeginLine()

### backup

    public final void backup(int amount)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(java.io.Reader dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(java.io.InputStream dstream)

### GetImage

    public final java.lang.String GetImage()

### GetSuffix

    public final char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.